Subject: Re: [PATCH net-next 14/15] net: dsa: sja1105: replace mdiobus-pcs with xpcs-plat driver

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 19 Nov 2025 17:23:48 +0000

On Wed, Nov 19, 2025 at 06:17:48PM +0200, Andy Shevchenko wrote:
> On Wed, Nov 19, 2025 at 08:11:12AM -0800, Jakub Kicinski wrote:
> > On Wed, 19 Nov 2025 13:25:22 +0200 Vladimir Oltean wrote:
> > > I think it's due to the fact that the "contest" checks are fundamentally
> > > so slow, that they can't be run on individual patch sets, and are run on
> > > batches of patch sets merged into a single branch (of which there seem
> > > to be 8 per day).
> > 
> > Correct, looking at the logs AFAICT coccicheck takes 25min on a
> > relatively beefy machine, and we only run it on path that were actually
> > modified by pending changes. We get 100+ patches a day, and 40+ series,
> > and coccicheck fails relatively rarely. So on the NIPA side it's not
> > worth it.
> > 
> > But, we can certainly integrate it into ingest_mdir.
> > 
> > FTR make htmldocs and of course selftests are also not executed by
> > ingest_mdir.
> 
> Btw, do you do `make W=1` while having CONFIG_WERROR=y?
> And if so, do you also compile with clang?

If you look at any patch in patchwork, e.g.

https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/

it gives a list of the tests performed. In answer to your questions:

netdev/build_clang 	success 	Errors and warnings before: 1 this patch: 1

So yes, building with clang is tested.

I can say that stuff such as unused const variables gets found by
nipa, via -Wunused-const-variable, which as I understand it is a
W=1 thing.

I suspect CONFIG_WERROR=y isn't used (I don't know) as that would
stop the build on warnings, whereas what is done instead is that
the output of the build is analysed, and the number of warnings
counted and reported in patchwork. Note that the "build" stuff
reports number of errors/warnings before and after the patch.

Hope this answers your question.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!